<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.frame.mapper.ticket.IbsusersMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.gyee.frame.model.ticket.Ibsusers">
        <id column="ID" property="id" />
        <result column="USERID" property="userid" />
        <result column="LABORNUM" property="labornum" />
        <result column="LOGINID" property="loginid" />
        <result column="PASSWORD" property="password" />
        <result column="FAILEDLOGINS" property="failedlogins" />
        <result column="PASWDEXPIRATION" property="paswdexpiration" />
        <result column="PWEXPIRATION" property="pwexpiration" />
        <result column="STATUS" property="status" />
        <result column="ISSYSUSER" property="issysuser" />
        <result column="DEFSTOREROOM" property="defstoreroom" />
        <result column="REMARK" property="remark" />
        <result column="ORDERBY" property="orderby" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        ID, USERID, LABORNUM, LOGINID, PASSWORD, FAILEDLOGINS, PASWDEXPIRATION, PWEXPIRATION, STATUS, ISSYSUSER, DEFSTOREROOM, REMARK, ORDERBY
    </sql>

</mapper>
